Subject: International locale error

From: [email-masked]
Date: 1569157588

Hello Guix.

I have had a problem on Guix System for about a month since a reconfigure
and have tried several 'sudo guix system reconfigure config.scm'. But
still cannot solve it. I have tried to include all symptoms in order to
make this report useful.

My user login for Gnome appears as 'Quiliro Ord???ez' instead of Quiliro
Ordóñez.

Only my user quiliro is available for Gnome as Quiliro Ord????ez until I
login on tty1 terminal as user analucia. Then that user appears as Ana
Luc??a Barahona on Gnome.

When I am logged in as user in Gnome and I change to tty1 (with C-M-F1),
if I go back to tty7, I get a new Gnome login. The Gnome session I was on
is on tty8.

My config.scm has been tested with (locale "es_EC.UTF-8") and with (locale
"es_ES.utf8"). I have errors with both. With es_EC.UTF-8, I get English
language displayed, not Spanish on web pages. With es_ES.utf8, I get
Spanish  displayed, but still have the other international character
problems.

I cannot open gnome-session. When I open it via Xfce-terminal it replies
with error:
quiliro@GSD3 ~$ gnome-terminal
# Locale not supported by C library.
# 	Using the fallback 'C' locale.
# Error constructing proxy for
org.gnome.Terminal:/org/gnome/Terminal/Factory0: Error calling
StartServiceByName for org.gnome.Terminal:
GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Process
org.gnome.Terminal exited with status 9
quiliro@GSD3 ~$

I cannot type characters such as ĝ on C-M-F1 as well as on Xfce-terminal
and Emacs in Gnome. But I can type characters such as ó and ñ. I don't
have that problem on Icecat.

My current locale is es_EC.UTF-8:
quiliro@GSD3 ~$ locale
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
LANG=es_EC.UTF-8
LC_CTYPE="es_EC.UTF-8"
LC_NUMERIC="es_EC.UTF-8"
LC_TIME="es_EC.UTF-8"
LC_COLLATE="es_EC.UTF-8"
LC_MONETARY="es_EC.UTF-8"
LC_MESSAGES="es_EC.UTF-8"
LC_PAPER="es_EC.UTF-8"
LC_NAME="es_EC.UTF-8"
LC_ADDRESS="es_EC.UTF-8"
LC_TELEPHONE="es_EC.UTF-8"
LC_MEASUREMENT="es_EC.UTF-8"
LC_IDENTIFICATION="es_EC.UTF-8"
LC_ALL=
quiliro@GSD3 ~$

My complete system reconfigure file (config.scm) is:
(use-modules (gnu) (gnu system nss))
(use-service-modules desktop xorg)
(use-package-modules certs gnome)

(operating-system
 (host-name "GSD3")
 (timezone "America/Guayaquil")
 ;; (locale "es_EC.UTF-8")
 (locale "es_ES.utf8")
 (keyboard-layout (keyboard-layout "es" "dvorak"))  ;for the console

 ;; Use the BIOS variant of GRUB
 (bootloader (bootloader-configuration
              (bootloader grub-bootloader)
              (target "/dev/sda")
	      (keyboard-layout keyboard-layout))) ;for GRUB

 (file-systems (append (list
		(file-system
		 (device (uuid "<HIDDEN>"))
		 (mount-point "/")
		 (type "ext4"))
		(file-system
		 (device (uuid "<HIDDEN>"))
		 (mount-point "/home/quiliro/respaldos")
		 (type "ext4")))
                %base-file-systems))

 (swap-devices '("/dev/sda1"))

 (users
  ;; (cons
  (cons*
   (user-account
    (name "quiliro")
    (comment "Quiliro Ordóñez")
    (group "users")
    (supplementary-groups '("wheel" "netdev" "audio" "video"))
    (home-directory "/home/quiliro"))
   (user-account
    (name "analucia")
    (comment "Ana Lucía Barahona")
    (group "users")
    (supplementary-groups '("netdev" "audio" "video"))
    (home-directory "/home/analucia"))
   (user-account
    (name "invitado")
    (comment "Usuario invitado")
    (group "users")
    (supplementary-groups '("netdev" "audio" "video"))
    (home-directory "/home/invitado"))
   %base-user-accounts))

 ;; This is where we specify system-wide packages.
 (packages (append (list
		    nss-certs          ;for HTTPS access
		    gvfs)              ;for user mounts
		   %base-packages))

 ;; Add GNOME and/or Xfce---we can choose at the log-in
 ;; screen with F1.  Use the "desktop" services, which
 ;; include the X11 log-in service, networking with
 ;; NetworkManager, and more.
 (services (append (list
	    (service gnome-desktop-service-type)
            (service xfce-desktop-service-type)
	    (set-xorg-configuration
	     (xorg-configuration             ;for Xorg
	      (keyboard-layout keyboard-layout))))
	    %desktop-services))

 ;; Allow resolution of '.local' host names with mDNS.
 (name-service-switch %mdns-host-lookup-nss))

The command I run as regular user for reconfiguration is:
guix pull
sudo guix system reconfigure config.scm

I can provide more information as needed to solve this bug for
Iberoamerican users.

Happy hacking!
Quiliro